View Issue Details

IDProjectCategoryView StatusLast Update
0032809CommunityOCCT:Modeling Algorithmspublic2022-04-10 10:49
ReporterManycore Assigned Toazv 
PrioritynormalSeveritycrash 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Product Version7.6.0 
Target Version7.7.0 
Summary0032809: Modeling Algorithms - Sweep algorithm with Round Corner mode failed
DescriptionSweep algorithm with Round Corner faild due to turning angle calculate error
Steps To Reproduce
TopoDS_Shape Sh1;
TopoDS_Shape Sh2;
BRep_Builder B;
bool b1 = BRepTools::Read(Sh1, "C:\\path_1235.brep", B);
bool b2 = BRepTools::Read(Sh2, "C:\\profile_1235.brep", B);

const TopoDS_Wire & path = TopoDS::Wire(Sh1);//newProfileWires.at(i);
const TopoDS_Wire & profile = TopoDS::Wire(Sh2);//newProfileWires.at(i);
BRepOffsetAPI_MakePipeShell shellMaker(path);
shellMaker.SetTransitionMode(static_cast<BRepBuilderAPI_TransitionMode>(2));
shellMaker.Add(profile, /*WithContact*/false, /*WithCorrection*/true);
const TopoDS_Shape& shape = shellMaker.Shape();
TagsNo tags attached.
Test case numbertests\pipe\bugs\bug0032809

Attached Files

  • turning_angle_calc_error.png (6,401 bytes)
  • CR32809_path.brep (1,016 bytes)
  • CR32809_profile.brep (3,905 bytes)

Relationships

related to 0032807 verifiedmgerus Modeling Algorithms - Bad result of sweep operation when the UEdges has more than one intersect points 

Activities

Manycore

2022-01-28 13:49

developer  

turning_angle_calc_error.png (6,401 bytes)

Manycore

2022-01-28 13:50

developer   ~0106654

attach path and profile files
CR32809_path.brep (1,016 bytes)
CR32809_profile.brep (3,905 bytes)

git

2022-01-29 04:53

administrator   ~0106658

Branch CR32809 has been created by Manycore.

SHA-1: f21e5d3169523316d9f464a63db17e5c0193ab19


Detailed log of new commits:

Author: gelin
Date: Sat Jan 29 09:53:02 2022 +0800

    0032809: Sweep algorithm with Round Corner mode failed

git

2022-03-31 11:08

administrator   ~0107503

Branch CR32809_1 has been created by mgerus.

SHA-1: aca238478fafaf508dd4a3b66991adfb8eea729d


Detailed log of new commits:

Author: mgerus
Date: Thu Mar 31 10:09:36 2022 +0300

    0032809: Modeling Algorithms - Sweep algorithm with Round Corner mode failed
    
    Add fix what repair shipping at corner after circle edge at path

Author: gelin
Date: Sat Jan 29 09:53:02 2022 +0800

    0032809: Sweep algorithm with Round Corner mode failed

git

2022-04-01 08:55

administrator   ~0107528

Branch CR32809_1 has been updated by mgerus.

SHA-1: 10bd6e1c3c7905367c4432f78b714c1013207781


Detailed log of new commits:

Author: mgerus
Date: Fri Apr 1 08:55:21 2022 +0300

    Add fix in test

git

2022-04-05 12:49

administrator   ~0107635

Branch CR32809_1 has been updated by mgerus.

SHA-1: c342ee3e1c19f51738aee37e2a61206cc6983a4b


Detailed log of new commits:

Author: mgerus
Date: Tue Apr 5 11:12:31 2022 +0300

    0032807 : brought into line with codestyle

Author: gelin
Date: Fri Jan 28 16:47:01 2022 +0800

    0032807: Modeling Algorithms - Bad result of sweep operation when the UEdges has more than one intersect points

Author: mgerus
Date: Tue Apr 5 08:56:32 2022 +0300

    fix test for bug 24909_3

mgerus

2022-04-05 16:01

developer   ~0107641

Please review the branch CR32809_1. At this branch solved bugs 32807 and 32809.
http://jenkins-test-occt/view/CR32809_1-master-MGERUS/view/COMPARE/

Branches for Integration:
OCCT - CR32809_1
Products - Not

azv

2022-04-05 22:43

administrator   ~0107646

Dear Maxim,

Please, update branch with two commits for certain issue each. And rebase branch on master.

src/GeomFill/GeomFill_Sweep.cxx:1014-1019: wrong indentation.

src/BRepFill/BRepFill_Sweep.cxx:3256: use name of new variable according to OCCT coding style - anIntersectPointCrossDirection.

src/BRepFill/BRepFill_TrimShellCorner.hxx:44-49: interface of constructor is changed, please, update the upgrade guide (dox/upgrade/upgrade.md) correspondingly.

After all fixes, update state of companion issue 0032807 too.

git

2022-04-06 10:28

administrator   ~0107655

Branch CR32809_1 has been updated forcibly by mgerus.

SHA-1: 5b0882c6f24ce146f42cbfd346ad85f41d3e0621

git

2022-04-06 13:01

administrator   ~0107660

Branch CR32809_1 has been updated forcibly by mgerus.

SHA-1: 5b0458aff8e405ef93e09eb19ade6a000099a8db

git

2022-04-06 22:51

administrator   ~0107670

Branch CR32809_1 has been updated forcibly by azv.

SHA-1: 93f4a2c00c9f4317aa293c5ccd3d676dde7405c9

azv

2022-04-07 08:51

administrator   ~0107675

Reviewed.

Branches for integration:
OCCT: CR32809_1
Products: NOT

smoskvin

2022-04-09 09:50

administrator   ~0107790

Combination -
OCCT branch : IR-2022-04-08
master SHA - 7021de2fe7a69d4c788ccf43b8b096dbcc8597c8
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-08 SHA - e16d959d441765c483049307ba7293173532103a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18452.87000000039 / 18490.94000000032 [-0.21%]
Products
Total CPU difference: 11761.310000000152 / 11719.920000000124 [+0.35%]
Windows-64-VC14:
OCCT
Total CPU difference: 20539.828125 / 20552.71875 [-0.06%]
Products
Total CPU difference: 13248.21875 / 13242.609375 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-10 10:49

administrator   ~0107815

Branch CR32809 has been deleted by mnt.

SHA-1: f21e5d3169523316d9f464a63db17e5c0193ab19

git

2022-04-10 10:49

administrator   ~0107816

Branch CR32809_1 has been deleted by mnt.

SHA-1: 93f4a2c00c9f4317aa293c5ccd3d676dde7405c9

Related Changesets

occt: master a793b75e

2022-04-06 22:49:01

azv


Committer: smoskvin Details Diff
0032809: Sweep algorithm with Round Corner mode failed

Fix indentation within GeomFill_Sweep.cxx

0032809: Sweep algorithm with Round Corner mode failed

Add fix what repair shipping at corner after circle edge at path
Add fix test for bug 24909_3
Affected Issues
0032809
mod - src/BRepFill/BRepFill_Sweep.cxx Diff File
mod - src/GeomFill/GeomFill_Sweep.cxx Diff File
mod - tests/pipe/bugs/bug24909_3 Diff File
add - tests/pipe/bugs/bug32809 Diff File
add - tests/pipe/bugs/end Diff File

Issue History

Date Modified Username Field Change
2022-01-28 13:49 Manycore New Issue
2022-01-28 13:49 Manycore Assigned To => Manycore
2022-01-28 13:49 Manycore File Added: turning_angle_calc_error.png
2022-01-28 13:50 Manycore Note Added: 0106654
2022-01-28 13:50 Manycore File Added: CR32809_path.brep
2022-01-28 13:50 Manycore File Added: CR32809_profile.brep
2022-01-28 15:23 Manycore Severity minor => crash
2022-01-28 15:23 Manycore Steps to Reproduce Updated
2022-01-29 04:53 git Note Added: 0106658
2022-01-29 04:54 Manycore Test case number => tests\pipe\bugs\bug0032809
2022-01-29 06:28 Manycore Assigned To Manycore => kgv
2022-01-29 06:28 Manycore Status new => resolved
2022-01-29 08:43 msv Assigned To kgv => jgv
2022-01-29 12:17 kgv Summary Sweep algorithm with Round Corner mode failed => Modeling Algorithms - Sweep algorithm with Round Corner mode failed
2022-01-29 12:17 kgv Steps to Reproduce Updated
2022-03-17 08:43 azv Assigned To jgv => mgerus
2022-03-31 11:08 git Note Added: 0107503
2022-04-01 08:55 git Note Added: 0107528
2022-04-05 12:49 git Note Added: 0107635
2022-04-05 16:01 mgerus Note Added: 0107641
2022-04-05 16:01 mgerus Assigned To mgerus => azv
2022-04-05 22:42 azv Relationship added related to 0032807
2022-04-05 22:43 azv Assigned To azv => mgerus
2022-04-05 22:43 azv Status resolved => assigned
2022-04-05 22:43 azv Note Added: 0107646
2022-04-06 10:28 git Note Added: 0107655
2022-04-06 13:01 git Note Added: 0107660
2022-04-06 13:02 mgerus Assigned To mgerus => azv
2022-04-06 13:03 mgerus Status assigned => resolved
2022-04-06 22:51 git Note Added: 0107670
2022-04-07 08:51 azv Assigned To azv => bugmaster
2022-04-07 08:51 azv Status resolved => reviewed
2022-04-07 08:51 azv Note Added: 0107675
2022-04-09 09:50 smoskvin Status reviewed => tested
2022-04-09 09:50 smoskvin Note Added: 0107790
2022-04-10 10:42 smoskvin Changeset attached => occt master a793b75e
2022-04-10 10:42 azv Assigned To bugmaster => azv
2022-04-10 10:42 azv Status tested => verified
2022-04-10 10:42 azv Resolution open => fixed
2022-04-10 10:49 git Note Added: 0107815
2022-04-10 10:49 git Note Added: 0107816